{% load i18n static svg %}

{% if object.is_video %}
  <div class="image video">
    {% include "embed_video.html" %}
  </div>
{% elif object.download %}
  {% if object.is_available %}
    {% if object.mime.is_image %}
      {% if object.embed %}
        <div class="image svg">
          {{ object.as_text|svg_size:"100%|100%"|safe }}
        </div>
      {% else %}
        <div class="image only">
          <a href="{% url "view_resource" object.id %}"><img src="{{ object.rendering_url }}" alt="{% trans "Image" %}" data-icon="{{ object.thumbnail_url }}" data-fullview="{{ object.download.url }}"></a>
        </div>
      {% endif %}
    {% elif object.mime.is_text %}
      {% if object.media_type == "text/markdown" %}
        <div class="markdown" title="{{ object.media_type }}">{{ object.as_text }}</div>
      {% elif object.media_x < 300 %}
        <div class="text" title="{{ object.media_type }}">{{ object.as_lines }}</div>
      {% else %}
        <div class="text" title="{{ object.media_type }}">{{ object.as_line_preview }}
          <ol><li><code><a href="{% url "view_resource" object.id %}">More ...</a></code></li></ol>
        </div>
      {% endif %}
    {% else %}
      <div class="image file">
        <a href="{% url "download_resource" object.id object.filename %}"><img src="{{ object.rendering_url }}" alt="{% trans "File Icon" %}"></a>
      </div>
    {% endif %}
  {% else %}
    <div class="image missing" title="{% trans "Image file missing" %}">
      <img src="{% static "images/missing.svg" %}" alt="{% trans "Item file missing" %}"/>
    </div>
  {% endif %}
{% elif object.link %}
  <div class="image link">
    <a href="{{ object.link }}" title="{% trans "External Link" %}: {{ object }}">
      <img src="{{ object.rendering_url }}" alt="{% trans "Link" %}"/>
    </a>
  </div>
{% else %}
  <div class="image">
    <img src="{{ object.icon_url }}" alt="{% trans "No file or broken upload" %}"/>
  </div>
{% endif %}
